Patching 4.3.4 with the 64-bit client

(Locked)

Support Forum Agent
If you are currently testing the 64-bit client, in order to patch up to 4.3.4 you will need to remove the 64-bit files to allow the patching process to complete.

With the 64-bit client files in place you will receive the error: Blizzard Updater failed with an internal error.

Simply delete the 64-bit files listed below from the World of Warcraft folder, and the patching process will resume after going through a short repair process.

Windows
Battle.net-64.dll
MovieProxy.exe
WoW-64.exe

Mac
World of Warcraft-64.app

A new version of the 64-bit client files will be available for 4.3.4 after the patch is live. Please keep an eye on the 64-bit client forum thread for updated files.
Edited by Gakonzus on 8/28/2012 2:26 PM PDT
This topic is locked.

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]